package com.sitemesh;

import java.util.Map;

/**
 * Representation of a Decorator.
 *
 * A Decorator is infact a Servlet/JSP, and this is a wrapper to reference it.
 * An implementation is returned by the {@link com.sitemesh.DecoratorMapper}.
 *
 * @author <a href="mailto:joe@truemesh.com">Joe Walnes</a>
 * @version $Revision: 1.8 $
 */
public interface Decorator {

	/**
	 * URI of Servlet/JSP to dispatch request to (relative to
	 * web-app context).
	 */
	String getPage();

	/**
	 * Name of Decorator. For information purposes only.
	 */
	String getName();

	/**
	 * Return init parameter of Decorator.
	 *
	 * @param paramName Key of parameter.
	 * @return Value of parameter or null if not found.
	 */
	String getInitParam( String paramName );

}
