package com.sitemesh.taglib.decorator;

import javax.servlet.jsp.tagext.*;

/**
 * TagExtraInfo implementation to expose Page object as variable.
 *
 * @author <a href="joe@truemesh.com">Joe Walnes</a>
 * @version $Revision: 1.2 $
 *
 * @see com.sitemesh.taglib.decorator.UsePage
 * @see com.sitemesh.taglib.decorator.UseHTMLPageTEI
 */
public class UsePageTEI extends TagExtraInfo {

	protected String getType() {
		return "com.sitemesh.Page";
	}

	public VariableInfo[] getVariableInfo( TagData data ) {
		String id = data.getAttributeString( "id" );
		return new VariableInfo[] {
			new VariableInfo(id, getType(), true, VariableInfo.AT_END ),
		};
	}
}
